package com.base.pdfviewerscannerwhite.helper

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.viewbinding.ViewBinding
import com.base.pdfviewerscannerwhite.bean.ConstObject.appLanguageSp
import com.base.pdfviewerscannerwhite.utils.LogEx
import java.util.Locale

abstract class BaseFragment<T : ViewBinding> : Fragment() {
    protected var isInitialized = false

    protected abstract val binding: T
    private val TAG = "BaseFragment"
    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {


        return binding.root
    }


    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        setView()
        setListener()
    }

    protected abstract fun setView()

    protected open fun setListener() {}
}